# ApplicationFramework
TKPShape
PGeom

# PGeom_BezierCurve Class Reference

`#include <PGeom_BezierCurve.hxx>`

Inheritance diagram for PGeom_BezierCurve:

[legend]

## Public Member Functions

Standard_EXPORT | PGeom_BezierCurve ()
| Creates a non rational Bezier curve with default values. .
Standard_EXPORT | PGeom_BezierCurve (const Handle(PColgp_HArray1OfPnt)&aPoles, const Handle(PColStd_HArray1OfReal)&aWeights, const Standard_Boolean aRational)
| Creates a non rational Bezier curve with a set of poles aCurvePoles and a set of weights aPoleWeight. .
Standard_EXPORT void | Rational (const Standard_Boolean aRational)
| Set the value of the field rational with <arational>. .
Standard_EXPORT Standard_Boolean | Rational () const
| Returns the value of the field rational. .
Standard_EXPORT void | Poles (const Handle(PColgp_HArray1OfPnt)&aPoles)
| Set the value of the field poles with <apoles>. .
Standard_EXPORT Handle_PColgp_HArray1OfPnt | Poles () const
| Returns the value of the field poles. .
Standard_EXPORT void | Weights (const Handle(PColStd_HArray1OfReal)&aWeights)
| Set the value of the field weights. .
Standard_EXPORT Handle_PColStd_HArray1OfReal | Weights () const
| Returns the value of the field weights. .
| PGeom_BezierCurve (const Storage_stCONSTclCOM &a)
Standard_Boolean | _CSFDB_GetPGeom_BezierCurverational () const
void | _CSFDB_SetPGeom_BezierCurverational (const Standard_Boolean p)
| Handle (PColgp_HArray1OfPnt) _CSFDB_GetPGeom_BezierCurvepoles() const
void | _CSFDB_SetPGeom_BezierCurvepoles (const Handle(PColgp_HArray1OfPnt)&p)
| Handle (PColStd_HArray1OfReal) _CSFDB_GetPGeom_BezierCurveweights() const
void | _CSFDB_SetPGeom_BezierCurveweights (const Handle(PColStd_HArray1OfReal)&p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Boolean | rational
Handle_PColgp_HArray1OfPnt | poles
Handle_PColStd_HArray1OfReal | weights

## Constructor & Destructor Documentation

Standard_EXPORT PGeom_BezierCurve::PGeom_BezierCurve | ( |  | ) |

Standard_EXPORT PGeom_BezierCurve::PGeom_BezierCurve | ( | const Handle(PColgp_HArray1OfPnt)& | aPoles,
|  | const Handle(PColStd_HArray1OfReal)& | aWeights,
|  | const Standard_Boolean | aRational
| ) |

PGeom_BezierCurve::PGeom_BezierCurve | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Boolean PGeom_BezierCurve::_CSFDB_GetPGeom_BezierCurverational | ( |  | ) | const`[inline]`

void PGeom_BezierCurve::_CSFDB_SetPGeom_BezierCurvepoles | ( | const Handle(PColgp_HArray1OfPnt)& | p | ) | `[inline]`

void PGeom_BezierCurve::_CSFDB_SetPGeom_BezierCurverational | ( | const Standard_Boolean | p | ) | `[inline]`

void PGeom_BezierCurve::_CSFDB_SetPGeom_BezierCurveweights | ( | const Handle(PColStd_HArray1OfReal)& | p | ) | `[inline]`

Standard_EXPORT const PGeom_BezierCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_BoundedCurve.

PGeom_BezierCurve::Handle | ( | PColStd_HArray1OfReal |  | ) | const`[inline]`

PGeom_BezierCurve::Handle | ( | PColgp_HArray1OfPnt |  | ) | const`[inline]`

Standard_EXPORT Handle_PColgp_HArray1OfPnt PGeom_BezierCurve::Poles | ( |  | ) | const

Standard_EXPORT void PGeom_BezierCurve::Poles | ( | const Handle(PColgp_HArray1OfPnt)& | aPoles | ) |

Standard_EXPORT Standard_Boolean PGeom_BezierCurve::Rational | ( |  | ) | const

Standard_EXPORT void PGeom_BezierCurve::Rational | ( | const Standard_Boolean | aRational | ) |

Standard_EXPORT Handle_PColStd_HArray1OfReal PGeom_BezierCurve::Weights | ( |  | ) | const

Standard_EXPORT void PGeom_BezierCurve::Weights | ( | const Handle(PColStd_HArray1OfReal)& | aWeights | ) |

## Field Documentation

Handle_PColgp_HArray1OfPnt PGeom_BezierCurve::poles `[private]`

Standard_Boolean PGeom_BezierCurve::rational `[private]`

Handle_PColStd_HArray1OfReal PGeom_BezierCurve::weights `[private]`

The documentation for this class was generated from the following file:

- PGeom_BezierCurve.hxx